Subject: bug#37021: GuixSD 1.01-i686 install DVD boot failure on Macbook1, 1: failed to resolve partition

From: Mark H Weaver <[email-masked]>
Date: Fri, 16 Aug 2019 01:32:55 -0400

Calvin Heim <[email-masked]> writes:

>> Ubuntu 16.04 uses linux-4.4.  We have linux-libre-4.4 (LTS) in Guix, but
>> our 1.0.1 installer images are based on linux-libre-5.1.
>> 
>> It might be worth using another machine to build a Guix installer image
>> that uses linux-libre-4.4, and trying that.  
> Is it important that it's another machine, and not this machine (Macbook1,1)?
> This machine has Trisquel 8 currently running and functional.
> I am confident that I can reinstall the Guix package manager on it
> to build the suggested custom installation image.

Sure, that should be fine.  Note that you'll also need to ensure that
the final system you install uses linux-libre-4.4, by adding (kernel
linux-libre-4.4) to your OS configuration.  I'm not sure off-hand how to
do this when using the guided graphical installer, but maybe someone
else here knows.  I've only ever done manual installations.

       Mark